stages:
  - build
  - deploy
  - exploit

build:
    stage: build
    image: maven:3.3.9-jdk-8
    script:
        - cd app
        - 'mvn -Drat.skip=true package'
    tags:
      - docker

deploy:
    stage: deploy
    script:
      - docker-compose down
      - docker-compose up -d --build
    tags:
      - shell
      
exploit:
    stage: exploit
    script:
      - sh run-exploit.sh
    when: manual
    tags:
      - shell
